import express from "express";
import {
  assignTask,
  getTasksForSalesCoordinator,
  updateTaskStatus,
} from "./TaskController.js";
import { isAuthenticatedSalesCoOrdinator } from "../../middlewares/SalesCoOrdinatorAuth.js";
import { isAuthenticatedTerritoryManager } from "../../middlewares/TerritoryManagerAuth.js";

const router = express.Router();

// Route for Territory Manager to assign a task
router.post(
  "/assign-task",
  isAuthenticatedTerritoryManager,
  assignTask
);

// Route for Sales Coordinator to view their tasks
router.get(
  "/tasks",
  isAuthenticatedSalesCoOrdinator,
  getTasksForSalesCoordinator
);

router.put(
  "/update-task-status/:taskId",
  isAuthenticatedSalesCoOrdinator,
  updateTaskStatus
);

export default router;
